Skip site navigation (1) Skip section navigation (2)

Re: problematic upgrade

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: "Marcin Gil" <marcin(dot)gil(at)audax(dot)com(dot)pl>
Cc: pgsql-novice(at)postgresql(dot)org
Subject: Re: problematic upgrade
Date: 2004-11-29 16:06:13
Message-ID: 18786.1101744373@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-novice
"Marcin Gil" <marcin(dot)gil(at)audax(dot)com(dot)pl> writes:
>> No, there is not.  I assume the server does not work because
>> the version stamps in PG_VERSION will disallow such a server
>> from starting.

> You might be surprised but server works. I believe he installed new
> postgres,
> initiated it and copied database folders - but I'll have to confirm that.

For sufficiently small values of "works", that might be true, but this
procedure strikes me as unbelievably dangerous.  He'll certainly get
zero sympathy from here if he finds any database corruption.

			regards, tom lane

In response to

Responses

pgsql-novice by date

Next:From: Keith WorthingtonDate: 2004-11-29 16:14:16
Subject: Parallel versions on Red Hat Linux ES v3
Previous:From: Marcin GilDate: 2004-11-29 13:33:14
Subject: Re: problematic upgrade

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group